com.ibm.openpages.api.security

## Interface IAdminPermission

-     public interface IAdminPermission

  Interface for security domain level administrative access rights. These access rights are defined for users and groups in a security domain. An administrator can delegate various security management activities, such as only managing users and assigning roles or only resetting passwords, to other administrators for organizational and business entity security domain groups. If there are child groups under a group where administrator permissions are assigned, the administrator would have those permissions for each child group as well. Delegating administration permissions to a user on a security domain does not automatically grant Read-and-Write access to objects under the corresponding entity.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ISecurityPrincipal` | `getAdministrator()` Returns `ISecurityPrincipal` of the administrator to whom this administrative permission applies.
    `boolean` | `getCanAddGroup()` Returns the add group permission of the administrator on the security domain.
    `boolean` | `getCanAssignRole()` Returns the role assignment permission of the administrator on the security domain.
    `boolean` | `getCanBrowse()` Returns the browse user or group permission of the administrator on the security domain.
    `boolean` | `getCanCreate()` Returns the create user or group permission of the administrator on the security domain.
    `boolean` | `getCanDisable()` Returns the disable user or group permission of the administrator on the security domain.
    `boolean` | `getCanEnable()` Returns the enable user or group permission of the administrator on the security domain.
    `boolean` | `getCanLock()` Returns the lock permission of the administrator on the security domain.
    `boolean` | `getCanManage()` Returns the manage user or group permission of the administrator on the security domain.
    `boolean` | `getCanModify()` Returns the modify user or group permission of the administrator on the security domain.
    `boolean` | `getCanRemove()` Returns the remove user or group permission of the administrator on the security domain.
    `boolean` | `getCanRemoveGroup()` Returns the remove group permission of the administrator on the security domain.
    `boolean` | `getCanResetPassword()` Returns the password reset permission of the administrator on the security domain.
    `boolean` | `getCanRevokeRole()` Returns the role revoke permission of the administrator on the security domain.
    `boolean` | `getCanUnLock()` Returns the unlock permission of the administrator on the security domain.
    `IGroup` | `getGroup()` Returns `IGroup` of the security domain on which this administrative permission applies.
    `Id` | `getId()` Returns the Id for this administrative permission.

- - ### Method Detail

    - #### getId

          Id getId()

      Returns the Id for this administrative permission.
      Returns:
        Id

    - #### getGroup

          IGroup getGroup()

      Returns `IGroup` of the security domain on which this administrative permission applies. The group can be a security domain or an organizational group.
      Returns:
        `IGroup` the security domain

    - #### getAdministrator

          ISecurityPrincipal getAdministrator()

      Returns `ISecurityPrincipal` of the administrator to whom this administrative permission applies.
      Returns:
        `ISecurityPrincipal` the administrative

    - #### getCanLock

          boolean getCanLock()

      Returns the lock permission of the administrator on the security domain. True if the administrator has lock permission.
      Returns:
        Boolean value of the lock permission

    - #### getCanUnLock

          boolean getCanUnLock()

      Returns the unlock permission of the administrator on the security domain. True if the administrator has unlock permission.
      Returns:
        Boolean value of the unlock permission

    - #### getCanResetPassword

          boolean getCanResetPassword()

      Returns the password reset permission of the administrator on the security domain. True if the administrator has password reset permission.
      Returns:
        Boolean value of the password reset permission

    - #### getCanAssignRole

          boolean getCanAssignRole()

      Returns the role assignment permission of the administrator on the security domain. True if the administrator has role assignment permission.
      Returns:
        Boolean value of the role assignment permission

    - #### getCanRevokeRole

          boolean getCanRevokeRole()

      Returns the role revoke permission of the administrator on the security domain. True if the administrator has role revoke permission.
      Returns:
        Boolean value of the role revoke permission

    - #### getCanBrowse

          boolean getCanBrowse()

      Returns the browse user or group permission of the administrator on the security domain. True if the administrator has browse user or group permission.
      Returns:
        Boolean value of the browse user or group permission

    - #### getCanCreate

          boolean getCanCreate()

      Returns the create user or group permission of the administrator on the security domain. True if the administrator has create user or group permission.
      Returns:
        Boolean value of the create user or group permission

    - #### getCanModify

          boolean getCanModify()

      Returns the modify user or group permission of the administrator on the security domain. True if the administrator has modify user or group permission.
      Returns:
        Boolean value of the modify user or group permission

    - #### getCanRemove

          boolean getCanRemove()

      Returns the remove user or group permission of the administrator on the security domain. True if the administrator has remove user or group permission.
      Returns:
        Boolean value of the remove user or group permission

    - #### getCanEnable

          boolean getCanEnable()

      Returns the enable user or group permission of the administrator on the security domain. True if the administrator has enable user or group permission.
      Returns:
        Boolean value of the enable user or group permission

    - #### getCanDisable

          boolean getCanDisable()

      Returns the disable user or group permission of the administrator on the security domain. True if the administrator has disable user or group permission.
      Returns:
        Boolean value of the disable user or group permission

    - #### getCanAddGroup

          boolean getCanAddGroup()

      Returns the add group permission of the administrator on the security domain. True if the administrator has add group permission.
      Returns:
        Boolean value of the add group permission

    - #### getCanRemoveGroup

          boolean getCanRemoveGroup()

      Returns the remove group permission of the administrator on the security domain. True if the administrator has remove group permission.
      Returns:
        Boolean value of the remove group permission

    - #### getCanManage

          boolean getCanManage()

      Returns the manage user or group permission of the administrator on the security domain. True if the administrator has manage user or group permission.
      Returns:
        Boolean value of the manage user or group permission

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2022. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.